std::is_pointer_interconvertible_base_of< _Base, _Derived >(3)

NAME
std::is_pointer_interconvertible_base_of< _Base, _Derived > - True if _Derived is standard-layout and has a base class of type _Base

SYNOPSIS

#include <type_traits>

Inherits bool_constant< __is_pointer_interconvertible_base_of(_Base, _Derived)>.

Detailed Description

  template<typename _Base, typename _Derived>
struct std::is_pointer_interconvertible_base_of< _Base, _Derived >"True if _Derived is standard-layout and has a base class of type _Base

Since
    C++20

Author

Generated automatically by Doxygen for libstdc++ from the source code.